package ss2011.se.dp.filesystem;

import java.io.File;
import java.io.IOException;
import java.util.Enumeration;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;

public class ZIPArchive extends Archive
{

    public ZIPArchive(AbstractFile parent, File file)
    {
        super(parent, file);
        readFiles(file);
    }


    /**
     * Einfaches lesen innerhalb des Archivs: Keine Pfade extrahieren, nur als regulaere Dateien behandeln
     *
     * @param file delegate
     */
    private void readFiles(File file)
    {
        try
        {
            Enumeration<? extends ZipEntry> entries = new ZipFile(file).entries();
            while (entries.hasMoreElements())
            {
                ZipEntry entry = entries.nextElement();
                AbstractFile temp = new RegularFile(this, entry.getName(), entry.getSize());
                addChild(temp);
            }
        } catch (IOException e)
        {
            throw new RuntimeException(e);
        }
    }

}
